/***************************************************************************
 *   Copyright (C) 2007 by Pierre Marchand   *
 *   pierre@oep-h.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef FONTACTIONWIDGET_H
#define FONTACTIONWIDGET_H

#include <ui_fontaction.h>

#include <QStringList>
#include <QList>



class FontItem;
class TypotekAdaptator;
/**
	@author Pierre Marchand <pierre@oep-h.com>
	
	activtion tag is : Activated_{On,Off}
*/
class FontActionWidget :  public QWidget, private Ui::FontAction
{
		Q_OBJECT

	public:
		FontActionWidget ( QList<FontItem*> fonts, TypotekAdaptator* ada, QWidget* parent = 0);
		FontActionWidget ( TypotekAdaptator* ada, QWidget* parent = 0);
		void prepare(QList<FontItem*> fonts);
		void doConnect();
		void undoConnect();
		~FontActionWidget();
		
		bool isOk;
		QStringList tags;
	private:
		QList<FontItem*> theFonts;
		TypotekAdaptator *adaptator;
		
		bool contextMenuReq;
		QPoint contextMenuPos;
		
	private slots:
		void slotOk();
		void slotCancel();
		void slotSwitchCheckState( QListWidgetItem * item );
		void slotNewTag();
		
		void slotContextMenu(QPoint  pos);
		
	public slots:
		void slotFinalize();
	signals:
		void cleanMe();	
		void tagAdded(QString);
				


};

#endif
